Add MCP to Bundle
Adds an MCP listing to the bundle. Rejects private or organization MCPs when the bundle is public.
Authorization
OAuth2AuthorizationCodeBearer AuthorizationBearer <token>
In: header
Path Parameters
bundle_id*Bundle Id
Format
uuidQuery Parameters
verify_locally?Verify Locally
Default
trueRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/bundles/497f6eca-6276-4993-bfeb-53cbbbba6f08/entries" \ -H "Content-Type: application/json" \ -d '{ "listing_id": "5322d4a9-51d2-4408-82fb-01ffecfb8304", "alias": "string" }'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "listing_id": "5322d4a9-51d2-4408-82fb-01ffecfb8304", "version_id": "9e94c502-ca41-4342-a7f7-af96b444512c", "alias": "string", "allowed_tools": [ null ], "allowed_resources": [ null ], "allowed_prompts": [ null ], "auth_mode": "NONE", "auth_strategy": "none", "mcp_url": "string", "pinned_schema_revision_id": "c17c738e-816e-481d-adc5-0d95599cd9e7", "pinned_schema_revision_number": 0, "verify_live_on_connect": false, "listing": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "namespace": "string", "visibility": "public", "status": "published", "title": "string", "short_description": "string", "icon_url": "string", "icon_bg_color": "string", "icon_text_color": "string", "provider_name": "string", "transport": "string", "pricing": "string", "avg_rating": 0, "install_count": 0, "created_at": "2019-08-24T14:15:22Z", "owner_username": "string", "category": { "id": 0, "name": "string", "slug": "string", "description": "string", "icon": "string", "mcp_count": 0 }, "tags": [], "supported_auth_modes": [], "supported_auth_types": [] }, "version": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "version": "string", "changelog": "string", "install_command": "string", "config_json": {}, "min_node_version": "string", "is_latest": false, "published_at": "2019-08-24T14:15:22Z" }}{ "detail": "string", "code": "string"}{ "detail": "string", "code": "string"}{ "detail": "string", "code": "string"}{ "detail": [ { "loc": [ "string" ], "msg": "string", "type": "string" } ]}